import { Injectable } from '@angular/core';
import { Observable } from 'rxjs/Observable';

import 'rxjs/add/operator/map';

import { RPCService } from '@loafer/ng-rpc/service';

import { MetaCrawler } from '@overflow/commons-typescript/model/meta';

@Injectable()
export class MetaCrawlerService {

  public constructor(
    private rpcService: RPCService,
  ) {

  }

  public readAll(): Observable<MetaCrawler[]> {
    return this.rpcService.call('MetaCrawlerService.readAll');
  }
}
